final-pack-unpack:echo '=123.5 -1.75p' | ./calculator -1.0
final-double-range:echo '=3e45 -11p' | ./calculator 0.0
final-plus:echo '=4 2 =6 4 +p' | ./calculator 1.0
final-minus:echo '=1 7 =2 4-p' | ./calculator 1.0
final-conjugate:echo '=1.3 -2|p' | ./calculator -1.0
final-times-complex:echo '=1.3 2 =3 4*p' | ./calculator -1.0
final-times-split:echo '=1 2.4 =3 4*p' | ./calculator 1.0
final-times-dual:echo '=1 2 =3.14 4*p' | ./calculator 0.0
final-times-double-dual:echo '=1 2.5 =3 4*p' | ./calculator 2.0
final-div-complex:echo '=1 -2 =3 4/p' | ./calculator -1.0
final-div-split:echo '=1 -2 =3 4/p' | ./calculator 1.0
final-div-dual:echo '=1 -2 =3 4/p' | ./calculator 0.0
final-div-mult-pi:echo '=1 -2=3 4 O/*p' | ./calculator 3.14159
final-pow:echo '=2 3D*pD*pD*pD*pD*pD*pD*pD*p' | ./calculator -1.0
final-pow-split:echo '=2 3D*pD*pD*pD*pD*pD*pD*pD*p' | ./calculator 1.0
final-valgrind:echo '=1 2 =3 4*=5 6/|ddd' | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./calculator -3.14159 > /dev/null
